SDL_GetTextureScaleMode(3)

NAME
SDL_GetTextureScaleMode - Get the scale mode used for texture scale operations.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetTextureScaleMode(SDL_Texture *texture, SDL_ScaleMode *scaleMode);

FUNCTION PARAMETERS

texture
    the texture to query.

scaleMode
    a pointer filled in with the current scale mode.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetTextureScaleMode(3)